Skip to main content
GET
/
api
/
v1
/
tests
/
{testId}
/
runs
List runs for a test
curl --request GET \
  --url https://api.getdecipher.com/api/v1/tests/{testId}/runs \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "object": "testRun",
      "id": 123,
      "testId": 123,
      "status": "passed",
      "startTime": "<string>",
      "endTime": "<string>",
      "durationMs": 123,
      "triggeredBy": "<string>",
      "createdAt": "<string>",
      "summary": {
        "oneLineSummary": "<string>",
        "firstFailedStepNumber": 123
      },
      "totalSteps": 123,
      "failedSteps": 123
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>",
  "test": {
    "id": 123,
    "name": "<string>",
    "url": "https://app.getdecipher.com/tests/456"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getdecipher.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Use your Decipher API key as the bearer token.

Path Parameters

testId
string
required

The ID of the test

Example:

"456"

Query Parameters

status
enum<string>
default:all
Available options:
passed,
failed,
running,
all
limit
integer
default:20
Required range: 1 <= x <= 100
cursor
string
since
string
until
string

Response

Paginated list of test runs

object
enum<string>
required
Available options:
list
data
object[]
required
hasMore
boolean
required
nextCursor
string | null
required
test
object
required